> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Webhook

> Create a new webhook



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json post /v2/webhooks/
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/webhooks/:
    post:
      tags:
        - Webhooks
      summary: Create Webhook
      description: Create a new webhook
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                tenantId:
                  type: number
                  exclusiveMinimum: 0
                  description: Tenant ID
                type:
                  anyOf:
                    - type: string
                      enum:
                        - SALESFORCECRM
                    - type: string
                      enum:
                        - ENDCALL
                    - type: string
                      enum:
                        - MEDIAFLY
                    - type: string
                      enum:
                        - INBOUNDSMS
                    - type: string
                      enum:
                        - STARTCALL
                    - type: string
                      enum:
                        - NEWVOICEMAIL
                    - type: string
                      enum:
                        - CALLRECORDING
                    - type: string
                      enum:
                        - ANSWEREDCALL
                    - type: string
                      enum:
                        - FAXRECEIVED
                    - type: string
                      enum:
                        - EXTENSIONCREATED
                    - type: string
                      enum:
                        - EXTENSIONDELETED
                  description: Webhook event type
                url:
                  type: string
                  minLength: 3
                  description: Webhook callback URL
              required:
                - tenantId
                - type
                - url
              additionalProperties: false
      responses:
        '200':
          description: Created webhook
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: number
                    description: Webhook ID
                  tenantId:
                    type: number
                    description: Tenant ID
                  type:
                    type: string
                    description: Webhook event type
                  url:
                    type: string
                    description: Callback URL
                  username:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Basic auth username
                  password:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Basic auth password
                  authtoken:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Auth token
                required:
                  - id
                  - tenantId
                  - type
                  - url
                  - username
                  - password
                  - authtoken
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````